require 'json'

package = JSON.parse(File.read(File.join(__dir__, "package.json")))


Pod::Spec.new do |s|
  s.name         = "RNEnxRtc"
  s.version      = "2.3.49"
  s.summary      = "react-native Toolkit"
  s.license      = { :type => 'Vcloudx License, Version 1.1', :text => 'https://www.enablex.io/legals/tou/'}
  s.authors      = { 'enablex' => 'https://github.com/enablexer' }
  s.homepage     = 'https://developer.enablex.io/api/client-api/ios-toolkit/'
  s.platform     = :ios
  s.ios.deployment_target = '13.0'

  s.source       = { :git => "https://github.com/EnableX/enx-rtc-react-native.git", :tag => "master" }
  
  s.source_files  = "**/*.{h,m,swift}"
  s.requires_arc = true


  s.dependency "React"
  s.dependency "EnxRTCiOS", '3.0.20'
  s.dependency 'Socket.IO-Client-Swift', '~> 16.1.1'

  # Swift version support (critical for dropdown behavior)
  s.swift_version = '5.0'

  s.pod_target_xcconfig =  { 
	'SWIFT_VERSION' => '5.4',
	'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64 x86_64',
	'ENABLE_BITCODE' => 'NO'
  }
  s.user_target_xcconfig = { 
	'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64'
  }


end
